Update LLM provider configuration
curl --request PUT \
--url https://api.example.com/v1/llm-provider/{provider} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"credentials": {}
}
'import requests
url = "https://api.example.com/v1/llm-provider/{provider}"
payload = {
"enabled": True,
"credentials": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, credentials: {}})
};
fetch('https://api.example.com/v1/llm-provider/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"credentials": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}LLM Providers
Update LLM Provider
PUT
/
v1
/
llm-provider
/
{provider}
Update LLM provider configuration
Update an existing LLM provider configuration.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| provider | string | yes | The provider to update configuration for (e.g., openai, anthropic) |
Request Body
You can update either or both of these fields:{
"enabled": true,
"credentials": {
"api_key": "sk-new-api-key"
}
}
Response Examples
Success Response
{
"provider": "openai",
"enabled": true,
"credentials": {
"api_key": "sk-***"
}
}
Provider Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "No configuration found for provider: openai"
}
}
Usage Examples
Enable/Disable a Provider
curl -X PUT "https://api.psci.ai/api/v1/llm-provider/openai" \
-H "Authorization: Bearer ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{"enabled": false}'
Update Credentials
curl -X PUT "https://api.psci.ai/api/v1/llm-provider/openai" \
-H "Authorization: Bearer ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"credentials": {
"api_key": "sk-new-api-key",
"organization": "org-new-org-id"
}
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The LLM provider to update configuration for The provider to use for LLM access
Available options:
openai, anthropic, google, google-vertex, azure, amazon-bedrock, xai Body
application/json
⌘I

